/*
 * 告警内容配置接口
*/
import request from '@/utils/request'
import qs from 'qs'

// 设备类别
export function getDevice(params) {
  return request({
    url: 'device/type',
    method: 'get',
    params
  })
}
// 告警内容配置查询
export function alarmContentList(params) {
  return request({
    url: 'alarmContent/list',
    method: 'get',
    params
  })
}

// 添加告警内容
export function addAlarmContent(params) {
  return request({
    url: 'device/simManage/add',
    method: 'post',
    params
  })
}
// 修改告警内容
export function updateAlarmContent(params) {
  return request({
    url: 'device/simManage/update',
    method: 'post',
    params
  })
}
// 删除告警内容
export function delAlarmContent(ids) {
  return request({
    url: 'device/simManage/delete',
    method: 'post',
    params: {
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
